Props for the LoginForm components.

Required props include IEmailProps.onEmailChanged and IPasswordProps.onPasswordChanged.

Allows you to customize IEmailProps.initialEmail / password as well as IEmailProps.emailInputProps.

### Hierarchy

- IEmailProps
- IPasswordProps
  - ILoginFormProps

## Index

### Properties

- emailInputProps
- initialEmail
- initialPassword
- onEmailChanged
- onPasswordChanged
- passwordInputProps

## Properties

### Optional emailInputProps

emailInputProps: ICrossEditorProps | undefined

Inherited from IEmailProps.emailInputProps

- Defined in types.ts:79

Optional props for the e-mail input. Typically used to change the `label` prop. See {@link ICrossEditorProps}

### Optional initialEmail

initialEmail: string | undefined

Inherited from IEmailProps.initialEmail

- Defined in types.ts:74

Optional initial value for the e-mail input

### Optional initialPassword

initialPassword: string | undefined

Inherited from IPasswordProps.initialPassword

- Defined in types.ts:93

Optional initial value for the password input

### onEmailChanged

onEmailChanged: function

Inherited from IEmailProps.onEmailChanged

- Defined in types.ts:70

Occurs when the user inputs e-mail

#### Type declaration

- - (email: string | undefined): void

  - #### Parameters

    - ##### email: string | undefined

    #### Returns void

### onPasswordChanged

onPasswordChanged: function

Inherited from IPasswordProps.onPasswordChanged

- Defined in types.ts:89

Occurs when the user inputs password

#### Type declaration

- - (password: string | undefined): void

  - #### Parameters

    - ##### password: string | undefined

    #### Returns void

### Optional passwordInputProps

passwordInputProps: ICrossEditorProps | undefined

Inherited from IPasswordProps.passwordInputProps

- Defined in types.ts:98

Optional props for the password input. Typically used to change the `label` prop. See {@link ICrossEditorProps}